# Interface LookupAddress

interface LookupAddress {
address: string;
family: number;
}

- Defined in node_modules/@types/node/dns.d.ts:106

#####
Index

### Properties

address
family

## Properties

### address

address: string

A string representation of an IPv4 or IPv6 address.

- Defined in node_modules/@types/node/dns.d.ts:110

### family

family: number

`4` or `6`, denoting the family of `address`, or `0` if the address is not an IPv4 or IPv6 address. `0` is a likely indicator of a bug in the name resolution service used by the operating system.

- Defined in node_modules/@types/node/dns.d.ts:115